## imcode.util.log
Class FakeRequestRenderer

    java.lang.Object
      imcode.util.log.FakeRequestRenderer

All Implemented Interfaces:
  org.apache.log4j.or.ObjectRenderer

    public class FakeRequestRenderer

extends java.lang.Object
implements org.apache.log4j.or.ObjectRenderer

Constructor Summary
`FakeRequestRenderer()`

Method Summary
`java.lang.String` `doRender(java.lang.Object o)` Render a DocumentRequest as a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FakeRequestRenderer

    public FakeRequestRenderer()

Method Detail

### doRender

    public java.lang.String doRender(java.lang.Object o)

  Render a DocumentRequest as a String.

  Specified by:
    `doRender` in interface `org.apache.log4j.or.ObjectRenderer`